Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_NVList_var Class Reference

The T_var class for NVList. More...

`#include <NVList.h>`

Collaboration diagram for CORBA_NVList_var:

[legend]
List of all members.

## Public Methods
| CORBA_NVList_var (void)
| CORBA_NVList_var (CORBA_NVList_ptr)
| CORBA_NVList_var (const CORBA_NVList_var &)
| ~CORBA_NVList_var (void)
CORBA_NVList_var& | operator= (CORBA_NVList_ptr)
CORBA_NVList_var& | operator= (const CORBA_NVList_var &)
CORBA_NVList_ptr | operator-> (void) const
| operator const CORBA_NVList_ptr & () const
| in, inout, out, _retn.
| operator CORBA_NVList_ptr & ()
CORBA_NVList_ptr | in (void) const
CORBA_NVList_ptr& | inout (void)
CORBA_NVList_ptr& | out (void)
CORBA_NVList_ptr | _retn (void)
CORBA_NVList_ptr | ptr (void) const
## Private Attributes
CORBA_NVList_ptr | ptr_

## Detailed Description

The T_var class for NVList.

As any other pseudo object NVList must have a T_var class, the interface an semantics are specified in the CORBA spec. = NOTE We use CORBA_NVList_ptr as the _ptr type instead of CORBA::NVList_ptr, this is an attempt to reduced the cyclic dependencies in TAO.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_NVList_var::CORBA_NVList_var ( | void )

ACE_INLINE CORBA_NVList_var::CORBA_NVList_var ( | CORBA_NVList_ptr p )

ACE_INLINE CORBA_NVList_var::CORBA_NVList_var ( | const CORBA_NVList_var & p )

ACE_INLINE CORBA_NVList_var::~CORBA_NVList_var ( | void )

## Member Function Documentation

ACE_INLINE CORBA_NVList_ptr CORBA_NVList_var::_retn ( | void )

ACE_INLINE CORBA_NVList_ptr CORBA_NVList_var::in ( | void ) const

ACE_INLINE CORBA_NVList_ptr & CORBA_NVList_var::inout ( | void )

ACE_INLINE CORBA_NVList_var::operator CORBA_NVList_ptr & ( | )

ACE_INLINE CORBA_NVList_var::operator const CORBA_NVList_ptr & ( | ) const

| in, inout, out, _retn.

ACE_INLINE CORBA_NVList_ptr CORBA_NVList_var::operator-> ( | void ) const

ACE_INLINE CORBA_NVList_var & CORBA_NVList_var::operator= ( | const CORBA_NVList_var & p )

ACE_INLINE CORBA_NVList_var & CORBA_NVList_var::operator= ( | CORBA_NVList_ptr p )

ACE_INLINE CORBA_NVList_ptr & CORBA_NVList_var::out ( | void )

ACE_INLINE CORBA_NVList_ptr CORBA_NVList_var::ptr ( | void ) const

## Member Data Documentation

CORBA_NVList_ptr CORBA_NVList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- NVList.h
- NVList.i